org.crosswire.common.diff

## Class Difference

- java.lang.Object
- - org.crosswire.common.diff.Difference

-     public class Difference
      extends Object

  Represents a single difference, consisting of an EditType and associated text.
  Author:
    DM Smith
  See Also:
    `The GNU Lesser General Public License for details.`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private EditType` | `editType` The edit to perform
    `private int` | `index`
    `private String` | `text`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Difference(EditType edit, String text)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendText(char addText)`
    `void` | `appendText(String addText)`
    `boolean` | `equals(Object obj)`
    `EditType` | `getEditType()`
    `int` | `getIndex()`
    `String` | `getText()`
    `int` | `hashCode()`
    `void` | `prependText(char addText)`
    `void` | `prependText(String addText)`
    `void` | `setEditType(EditType newEditType)`
    `void` | `setIndex(int newIndex)`
    `void` | `setText(String newText)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### editType

          private EditType editType

      The edit to perform

    - #### text

          private String text

    - #### index

          private int index

  - ### Constructor Detail

    - #### Difference

          public Difference(EditType edit,
                    String text)

  - ### Method Detail

    - #### getEditType

          public EditType getEditType()

      Returns:
        the EditType

    - #### setEditType

          public void setEditType(EditType newEditType)

      Parameters:
        `newEditType` - the EditType to set

    - #### getText

          public String getText()

      Returns:
        the text

    - #### setText

          public void setText(String newText)

      Parameters:
        `newText` - the text to set

    - #### getIndex

          public int getIndex()

      Returns:
        the index

    - #### setIndex

          public void setIndex(int newIndex)

      Parameters:
        `newIndex` - the index to set

    - #### appendText

          public void appendText(String addText)

      Parameters:
        `addText` - the text to set

    - #### appendText

          public void appendText(char addText)

      Parameters:
        `addText` - the text to set

    - #### prependText

          public void prependText(String addText)

      Parameters:
        `addText` - the text to set

    - #### prependText

          public void prependText(char addText)

      Parameters:
        `addText` - the text to set

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`